'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _kendoBaseComponentsVueWrapper = require('@progress/kendo-base-components-vue-wrapper');

var _PivotGridProps = require('./PivotGridProps');

var _PivotGridProps2 = _interopRequireDefault(_PivotGridProps);

var _Excel = require('./Excel');

var _Excel2 = _interopRequireDefault(_Excel);

var _Messages = require('./Messages');

var _Messages2 = _interopRequireDefault(_Messages);

var _Pdf = require('./Pdf');

var _Pdf2 = _interopRequireDefault(_Pdf);

var _Sortable = require('../Common/Sortable');

var _Sortable2 = _interopRequireDefault(_Sortable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    props: _PivotGridProps2.default,
    mixins: [_kendoBaseComponentsVueWrapper.KendoBaseComponent, _kendoBaseComponentsVueWrapper.KendoBaseDatasourceComponent, _Excel2.default, _Messages2.default, _Pdf2.default, _Sortable2.default],
    mounted: function mounted() {
        kendo.jQuery(this.$el).kendoPivotGrid(this.widgetOptions);
        if (this.v3) {
            this.ready();
            if (this.getListeners()['kendowidgetready']) {
                this.$emit('kendowidgetready', this.kendoWidget());
            }
        } else {
            this.$emit('kendowidgetready', this.kendoWidget());
        }
    },

    methods: {
        kendoWidget: function kendoWidget() {
            return kendo.jQuery(this.$el).getKendoPivotGrid();
        }
    }
};